BXE(4)

NAME
bxe - Broadcom BCM57710/BCM57711/BCM57711E 10Gb Ethernet adapter driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device bxe

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    if_bxe_load="YES"

DESCRIPTION
The bxe driver provides support for PCIe 10GbE Ethernet adapters based on BCM5771x chips. The driver supports Jumbo Frames, VLAN tagging, IP, UDP and TCP checksum offload, MSI-X, TCP Segmentation Offload (TSO), Large Receive Offload (LRO), and Receive Side Steering (RSS).

For more information on configuring this device, see ifconfig(8).

HARDWARE
The bxe driver provides support for various NICs based on the Broadcom BCM5771x family of 10GbE Ethernet controller chips, including the following:

•   Broadcom NetXtreme II BCM57710 10GbE
•   Broadcom NetXtreme II BCM57711 10GbE
•   Broadcom NetXtreme II BCM57711E 10GbE

SYSCTL VARIABLES
The following variables are available as both sysctl(8) variables and loader(8) tunables:

hw.bxe.dcc_enable
    Enable HP Flex-10 support. Allowed values are 0 to disable and 1 to enable. The default value is 0.

hw.bxe.tso_enable
    Enable TCP Segmentation Offload. The default value is 1.

hw.bxe.int_mode
    Set interrupt mode. Allowed values are 0 for IRQ, 1 for MSI/IRQ and 2 for MSI-X/MSI/IRQ. The default value is 2.

hw.bxe.queue_count
    Specify the number of queues that will be used when a multi-queue RSS mode is selected using bxe_multi_mode. Allowed values are 0 for Auto or 1 to 16 for fixed number of queues. The default value is 0.

hw.bxe.multi_mode
    Enable Receive Side Steering. Allowed values are 0, which disables all multi-queue/packet sorting algorithms, and 1, which assigns incoming frames to receive queues according to RSS. The default value is 0.

hw.bxe.rx_ticks
    Control interrupt coalescing for received frames. The first frame always causes an interrupt, but subsequent frames are coalesced until the RX/TX ticks timer value expires and another interrupt occurs. The default value is 25.

hw.bxe.tx_ticks
    Control interrupt coalescing for trasmitted frames. The first frame always causes an interrupt, but subsequent frames are coalesced until the RX/TX ticks timer value expires and another interrupt occurs. The default value is 50.

hw.bxe.mrrs
    Allows to set the PCIe maximum read request size. Allowed values are -1 for Auto, 0 for 128B, 1 for 256B, 2 for 512B, and 3 for 1kB. The default value is -1.

SEE ALSO
altq(4), arp(4), netintro(4), ng_ether(4), vlan(4), ifconfig(8)

HISTORY
The bxe device driver first appeared in FreeBSD 9.0.

AUTHORS
The bxe driver was written by Gary Zambrano <zambrano@broadcom.com> and David Christensen <davidch@broadcom.com>.